/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.core.register.tag;

import net.minecraft.core.registries.Registries;
import net.minecraft.tags.TagKey;
import net.minecraft.world.level.block.Block;
import org.jetbrains.annotations.NotNull;
import top.r3944realms.eroticdungeongame.EroticDungeon;

public class EDGBlockTags {
    public static final TagKey<Block>  SEAT =                    tag("seat");
    public static final TagKey<Block>  CUFF_BED =                tag("cuff_bed");
    public static final TagKey<Block>  RACK =                    tag("rack");
    public static final TagKey<Block>  X_CROSS =                 tag("x_cross");
    public static final TagKey<Block>  PETRINE_CROSS =           tag("petrine_cross");
    public static final TagKey<Block>  CRUX =                    tag("crux");
    public static final TagKey<Block>  SPANISH_DONKEY =          tag("spanish_donkey");
    public static final TagKey<Block>  PILLORY =                 tag("pillory");
    public static final TagKey<Block>  WALL_RACK =               tag("wall_rack");
    public static final TagKey<Block>  CUFF_POLE =               tag("cuff_pole");
    public static final TagKey<Block>  PRONE_BENCH =             tag("prone_bench");
    public static final TagKey<Block>  HANGING_POST =            tag("hanging_post");
    public static final TagKey<Block>  DISPLAY_RACK =            tag("display_rack");
    public static final TagKey<Block>  GLASS_DISPLAY_RACK =      tag("glass_display_rack");
    public static final TagKey<Block>  LOVE_MACHINE       =      tag("love_machine");
    private static @NotNull TagKey<Block> tag(String name) {
        return TagKey.create(Registries.BLOCK, EroticDungeon.rl(EroticDungeon.MOD_ID, "block/" + name));
    }
}
